function rect(x, y, w, h, dir, color1, color2) {
    Render.GradientRect(x - Math.round(w/2), y - Math.round(h/2), w, h, dir, color1, color2);
}
function md5(string){
                function md5_RotateLeft(lValue, iShiftBits) {
                        return (lValue<<iShiftBits) | (lValue>>>(32-iShiftBits));
                }
                function md5_AddUnsigned(lX,lY){
                        var lX4,lY4,lX8,lY8,lResult;
                        lX8 = (lX & 0x80000000);
                        lY8 = (lY & 0x80000000);
                        lX4 = (lX & 0x40000000);
                        lY4 = (lY & 0x40000000);
                        lResult = (lX & 0x3FFFFFFF)+(lY & 0x3FFFFFFF);
                        if (lX4 & lY4) {
                                return (lResult ^ 0x80000000 ^ lX8 ^ lY8);
                        }
                        if (lX4 | lY4) {
                                if (lResult & 0x40000000) {
                                        return (lResult ^ 0xC0000000 ^ lX8 ^ lY8);
                                } else {
                                        return (lResult ^ 0x40000000 ^ lX8 ^ lY8);
                                }
                        } else {
                                return (lResult ^ lX8 ^ lY8);
                        }
                }         
                function md5_F(x,y,z){
                        return (x & y) | ((~x) & z);
                }
                function md5_G(x,y,z){
                        return (x & z) | (y & (~z));
                }
                function md5_H(x,y,z){
                        return (x ^ y ^ z);
                }
                function md5_I(x,y,z){
                        return (y ^ (x | (~z)));
                }
                function md5_FF(a,b,c,d,x,s,ac){
                        a = md5_AddUnsigned(a, md5_AddUnsigned(md5_AddUnsigned(md5_F(b, c, d), x), ac));
                        return md5_AddUnsigned(md5_RotateLeft(a, s), b);
                };
                function md5_GG(a,b,c,d,x,s,ac){
                        a = md5_AddUnsigned(a, md5_AddUnsigned(md5_AddUnsigned(md5_G(b, c, d), x), ac));
                        return md5_AddUnsigned(md5_RotateLeft(a, s), b);
                };
                function md5_HH(a,b,c,d,x,s,ac){
                        a = md5_AddUnsigned(a, md5_AddUnsigned(md5_AddUnsigned(md5_H(b, c, d), x), ac));
                        return md5_AddUnsigned(md5_RotateLeft(a, s), b);
                };
                function md5_II(a,b,c,d,x,s,ac){
                        a = md5_AddUnsigned(a, md5_AddUnsigned(md5_AddUnsigned(md5_I(b, c, d), x), ac));
                        return md5_AddUnsigned(md5_RotateLeft(a, s), b);
                };
                function md5_ConvertToWordArray(string) {
                        var lWordCount;
                        var lMessageLength = string.length;
                        var lNumberOfWords_temp1=lMessageLength + 8;
                        var lNumberOfWords_temp2=(lNumberOfWords_temp1-(lNumberOfWords_temp1 % 64))/64;
                        var lNumberOfWords = (lNumberOfWords_temp2+1)*16;
                        var lWordArray=Array(lNumberOfWords-1);
                        var lBytePosition = 0;
                        var lByteCount = 0;
                        while ( lByteCount < lMessageLength ) {
                                lWordCount = (lByteCount-(lByteCount % 4))/4;
                                lBytePosition = (lByteCount % 4)*8;
                                lWordArray[lWordCount] = (lWordArray[lWordCount] | (string.charCodeAt(lByteCount)<<lBytePosition));
                                lByteCount++;
                        }
                        lWordCount = (lByteCount-(lByteCount % 4))/4;
                        lBytePosition = (lByteCount % 4)*8;
                        lWordArray[lWordCount] = lWordArray[lWordCount] | (0x80<<lBytePosition);
                        lWordArray[lNumberOfWords-2] = lMessageLength<<3;
                        lWordArray[lNumberOfWords-1] = lMessageLength>>>29;
                        return lWordArray;
                };
                function md5_WordToHex(lValue){
                        var WordToHexValue="",WordToHexValue_temp="",lByte,lCount;
                        for(lCount = 0;lCount<=3;lCount++){
                                lByte = (lValue>>>(lCount*8)) & 255;
                                WordToHexValue_temp = "0" + lByte.toString(16);
                                WordToHexValue = WordToHexValue + WordToHexValue_temp.substr(WordToHexValue_temp.length-2,2);
                        }
                        return WordToHexValue;
                };
                function md5_Utf8Encode(string){
                        string = string.replace(/\r\n/g,"\n");
                        var utftext = "";
                        for (var n = 0; n < string.length; n++) {
                                var c = string.charCodeAt(n);
                                if (c < 128) {
                                        utftext += String.fromCharCode(c);
                                }else if((c > 127) && (c < 2048)) {
                                        utftext += String.fromCharCode((c >> 6) | 192);
                                        utftext += String.fromCharCode((c & 63) | 128);
                                } else {
                                        utftext += String.fromCharCode((c >> 12) | 224);
                                        utftext += String.fromCharCode(((c >> 6) & 63) | 128);
                                        utftext += String.fromCharCode((c & 63) | 128);
                                }
                        }
                        return utftext;
                };
                var x=Array();
                var k,AA,BB,CC,DD,a,b,c,d;
                var S11=7, S12=12, S13=17, S14=22;
                var S21=5, S22=9 , S23=14, S24=20;
                var S31=4, S32=11, S33=16, S34=23;
                var S41=6, S42=10, S43=15, S44=21;
                string = md5_Utf8Encode(string);
                x = md5_ConvertToWordArray(string);
                a = 0x67452301; b = 0xEFCDAB89; c = 0x98BADCFE; d = 0x10325476;
                for (k=0;k<x.length;k+=16) {
                        AA=a; BB=b; CC=c; DD=d;
                        a=md5_FF(a,b,c,d,x[k+0], S11,0xD76AA478);
                        d=md5_FF(d,a,b,c,x[k+1], S12,0xE8C7B756);
                        c=md5_FF(c,d,a,b,x[k+2], S13,0x242070DB);
                        b=md5_FF(b,c,d,a,x[k+3], S14,0xC1BDCEEE);
                        a=md5_FF(a,b,c,d,x[k+4], S11,0xF57C0FAF);
                        d=md5_FF(d,a,b,c,x[k+5], S12,0x4787C62A);
                        c=md5_FF(c,d,a,b,x[k+6], S13,0xA8304613);
                        b=md5_FF(b,c,d,a,x[k+7], S14,0xFD469501);
                        a=md5_FF(a,b,c,d,x[k+8], S11,0x698098D8);
                        d=md5_FF(d,a,b,c,x[k+9], S12,0x8B44F7AF);
                        c=md5_FF(c,d,a,b,x[k+10],S13,0xFFFF5BB1);
                        b=md5_FF(b,c,d,a,x[k+11],S14,0x895CD7BE);
                        a=md5_FF(a,b,c,d,x[k+12],S11,0x6B901122);
                        d=md5_FF(d,a,b,c,x[k+13],S12,0xFD987193);
                        c=md5_FF(c,d,a,b,x[k+14],S13,0xA679438E);
                        b=md5_FF(b,c,d,a,x[k+15],S14,0x49B40821);
                        a=md5_GG(a,b,c,d,x[k+1], S21,0xF61E2562);
                        d=md5_GG(d,a,b,c,x[k+6], S22,0xC040B340);
                        c=md5_GG(c,d,a,b,x[k+11],S23,0x265E5A51);
                        b=md5_GG(b,c,d,a,x[k+0], S24,0xE9B6C7AA);
                        a=md5_GG(a,b,c,d,x[k+5], S21,0xD62F105D);
                        d=md5_GG(d,a,b,c,x[k+10],S22,0x2441453);
                        c=md5_GG(c,d,a,b,x[k+15],S23,0xD8A1E681);
                        b=md5_GG(b,c,d,a,x[k+4], S24,0xE7D3FBC8);
                        a=md5_GG(a,b,c,d,x[k+9], S21,0x21E1CDE6);
                        d=md5_GG(d,a,b,c,x[k+14],S22,0xC33707D6);
                        c=md5_GG(c,d,a,b,x[k+3], S23,0xF4D50D87);
                        b=md5_GG(b,c,d,a,x[k+8], S24,0x455A14ED);
                        a=md5_GG(a,b,c,d,x[k+13],S21,0xA9E3E905);
                        d=md5_GG(d,a,b,c,x[k+2], S22,0xFCEFA3F8);
                        c=md5_GG(c,d,a,b,x[k+7], S23,0x676F02D9);
                        b=md5_GG(b,c,d,a,x[k+12],S24,0x8D2A4C8A);
                        a=md5_HH(a,b,c,d,x[k+5], S31,0xFFFA3942);
                        d=md5_HH(d,a,b,c,x[k+8], S32,0x8771F681);
                        c=md5_HH(c,d,a,b,x[k+11],S33,0x6D9D6122);
                        b=md5_HH(b,c,d,a,x[k+14],S34,0xFDE5380C);
                        a=md5_HH(a,b,c,d,x[k+1], S31,0xA4BEEA44);
                        d=md5_HH(d,a,b,c,x[k+4], S32,0x4BDECFA9);
                        c=md5_HH(c,d,a,b,x[k+7], S33,0xF6BB4B60);
                        b=md5_HH(b,c,d,a,x[k+10],S34,0xBEBFBC70);
                        a=md5_HH(a,b,c,d,x[k+13],S31,0x289B7EC6);
                        d=md5_HH(d,a,b,c,x[k+0], S32,0xEAA127FA);
                        c=md5_HH(c,d,a,b,x[k+3], S33,0xD4EF3085);
                        b=md5_HH(b,c,d,a,x[k+6], S34,0x4881D05);
                        a=md5_HH(a,b,c,d,x[k+9], S31,0xD9D4D039);
                        d=md5_HH(d,a,b,c,x[k+12],S32,0xE6DB99E5);
                        c=md5_HH(c,d,a,b,x[k+15],S33,0x1FA27CF8);
                        b=md5_HH(b,c,d,a,x[k+2], S34,0xC4AC5665);
                        a=md5_II(a,b,c,d,x[k+0], S41,0xF4292244);
                        d=md5_II(d,a,b,c,x[k+7], S42,0x432AFF97);
                        c=md5_II(c,d,a,b,x[k+14],S43,0xAB9423A7);
                        b=md5_II(b,c,d,a,x[k+5], S44,0xFC93A039);
                        a=md5_II(a,b,c,d,x[k+12],S41,0x655B59C3);
                        d=md5_II(d,a,b,c,x[k+3], S42,0x8F0CCC92);
                        c=md5_II(c,d,a,b,x[k+10],S43,0xFFEFF47D);
                        b=md5_II(b,c,d,a,x[k+1], S44,0x85845DD1);
                        a=md5_II(a,b,c,d,x[k+8], S41,0x6FA87E4F);
                        d=md5_II(d,a,b,c,x[k+15],S42,0xFE2CE6E0);
                        c=md5_II(c,d,a,b,x[k+6], S43,0xA3014314);
                        b=md5_II(b,c,d,a,x[k+13],S44,0x4E0811A1);
                        a=md5_II(a,b,c,d,x[k+4], S41,0xF7537E82);
                        d=md5_II(d,a,b,c,x[k+11],S42,0xBD3AF235);
                        c=md5_II(c,d,a,b,x[k+2], S43,0x2AD7D2BB);
                        b=md5_II(b,c,d,a,x[k+9], S44,0xEB86D391);
                        a=md5_AddUnsigned(a,AA);
                        b=md5_AddUnsigned(b,BB);
                        c=md5_AddUnsigned(c,CC);
                        d=md5_AddUnsigned(d,DD);
                }
        return (md5_WordToHex(a)+md5_WordToHex(b)+md5_WordToHex(c)+md5_WordToHex(d)).toLowerCase();
}
Cheat.PrintChat(md5(["dhdj", "AR1N", "taizi", "Noobko98", "m4xy", "billy22324", "fallenautistic", "2008", "ReedHvHGod", "meigui","Hike","Alexsuze","yoyo1998","qsj","Rexqh","johnlau248","200z","shooterrrrrr","TUBAEE","Krater","niksonbinsk","chavez","Naru","huh","almarri1561","SnowyDuck","PsX8m","pz3277687980","moeyy","ccccc","MountainWu","2393155975","apxz233","lh2020","jake99","icesweets","1653832327","Yabyee","caolandong","schabior","221652689CT","DWG132","Lordiceboy","xinnanana","kking","17515230276","jackrm","@raf","fraxster","Lastdoggo","Slumpp","theywantsassy","bruhbruhh","boge521","Sukuea","efauchier","cat233","buerV","osku","yoyi1337","bb1","binhorip","18519512436","1123279149","yb542895","1963632039","MooNxShaDoOW","woshilubenwei","angiycoma","xingnai","1026780628","hbslsddx","751116857","wwwqeq","wanfeng"].toString())+"\n");

var screen_size = Global.GetScreenSize();
var last=false;
var startX = screen_size[0]/2;
var startY = screen_size[1]/2;
UI.AddHotkey("m2");

function HSV2RGB(h, s, v) {
    var r, g, b, i, f, p, q, t;

    i = Math.floor(h * 6);
    f = h * 6 - i;
    p = v * (1 - s);
    q = v * (1 - f * s);
    t = v * (1 - (1 - f) * s);

    switch (i % 6) {
        case 0:
            r = v,
                g = t,
                b = p;
            break;
        case 1:
            r = q,
                g = v,
                b = p;
            break;
        case 2:
            r = p,
                g = v,
                b = t;
            break;
        case 3:
            r = p,
                g = q,
                b = v;
            break;
        case 4:
            r = t,
                g = p,
                b = v;
            break;
        case 5:
            r = v,
                g = p,
                b = q;
            break;
    }

    return {
        r: Math.round(r * 255),
        g: Math.round(g * 255),
        b: Math.round(b * 255)
    };
}
var lasttick=false;
function adjustAngle(angle) {
		if (angle < 0) {
			angle = (90 + angle * (-1));
		} else if (angle > 0) {
			angle = (90 - angle);
		}

		return angle;
}

function drawArc(x, y, radius, start_angle, percent, thickness, color) {
		var precision = (2 * Math.PI) / 300;
		var step = Math.PI / 180;
		var inner = radius - thickness;
		var end_angle = (start_angle + percent) * step;
		var start_angle = (start_angle * Math.PI) / 180;

		for (; radius > inner; --radius) {
			for (var angle = start_angle; angle < end_angle; angle += precision) {
				var cx = Math.round(x + radius * Math.cos(angle));
				var cy = Math.round(y + radius * Math.sin(angle));

				var cx2 = Math.round(x + radius * Math.cos(angle + precision));
				var cy2 = Math.round(y + radius * Math.sin(angle + precision));

				Render.Line(cx, cy, cx2, cy2, color);
			}
		}
	}function normalizeYaw(angle) {
    angle = (angle % 360 + 360) % 360;
    return angle > 180 ? angle - 360 : angle;
}

function run() {
	if(World.GetServerString() == ""){
		return;
	}
    
    var sizeX = 350;
	var sizeX2 = 25;
    var sizeY = 2;
    var off = sizeX /2+20;
	var off2 = sizeX2 / 2 + 5;
    if(tick_end!=0 && tick_end>=Globals.Tickcount()){
		var c2 = [255, 100, 100, 255];
	}else{
		var c2 = [150, 200, 255, 255];
	}
	//colors = HSV2RGB(Global.Realtime() * 0.5, 1, 1);
	if (Entity.GetProp(Entity.GetLocalPlayer(), "CCSPlayer", "m_bIsScoped")) {
		realBorderColor=[100, 180, 255, 75];
	fakeBorderColor=[255,255, 255, 75];
	circleColor=[255, 255, 255, 20];
	}else{
	realBorderColor=[100, 180, 255, 255];
	fakeBorderColor=[255,255, 255, 255];
	circleColor=[255, 255, 255, 40];
	}
	negativeColor=[100, 180, 255, 255];
	positiveColor=[255,100,100,255];
	if(Entity.IsAlive(Entity.GetLocalPlayer())){
	Render.Circle(screen_size[0] / 2, screen_size[1] / 2, 34, circleColor);
    Render.Circle(screen_size[0] / 2, screen_size[1] / 2, 35, circleColor);
    Render.Circle(screen_size[0] / 2, screen_size[1] / 2, 31, circleColor);
    Render.Circle(screen_size[0] / 2, screen_size[1] / 2, 32, circleColor);
    Render.Circle(screen_size[0] / 2, screen_size[1] / 2, 33, circleColor);
	viewYaw = Local.GetViewAngles()[1] - 180;
	fake = adjustAngle(Local.GetFakeYaw()-viewYaw);
	real = adjustAngle(Local.GetRealYaw()-viewYaw);
	drawArc(screen_size[0]/2,screen_size[1]/2,35,real - (50 * 0.5),50,5,realBorderColor);
	drawArc(screen_size[0]/2,screen_size[1]/2,35,fake - (50 * 0.5),50,5,fakeBorderColor);
	if (UI.IsHotkeyActive("Anti-Aim","Fake angles","Inverter")) {
            Render.Line(screen_size[0] / 2 + 132, screen_size[1] / 2, screen_size[0] / 2 + 105, screen_size[1] / 2 + 16, realBorderColor);
            Render.Line(screen_size[0] / 2 + 132, screen_size[1] / 2, screen_size[0] / 2 + 105, screen_size[1] / 2 - 16, realBorderColor);
            Render.Line(screen_size[0] / 2 + 110, screen_size[1] / 2, screen_size[0] / 2 + 105, screen_size[1] / 2 + 16, realBorderColor);
            Render.Line(screen_size[0] / 2 + 110, screen_size[1] / 2, screen_size[0] / 2 + 105, screen_size[1] / 2 - 16, realBorderColor);
            Render.Line(screen_size[0] / 2 - 132, screen_size[1] / 2, screen_size[0] / 2 - 105, screen_size[1] / 2 + 16, fakeBorderColor);
            Render.Line(screen_size[0] / 2 - 132, screen_size[1] / 2, screen_size[0] / 2 - 105, screen_size[1] / 2 - 16, fakeBorderColor);
            Render.Line(screen_size[0] / 2 - 110, screen_size[1] / 2, screen_size[0] / 2 - 105, screen_size[1] / 2 + 16, fakeBorderColor);
            Render.Line(screen_size[0] / 2 - 110, screen_size[1] / 2, screen_size[0] / 2 - 105, screen_size[1] / 2 - 16, fakeBorderColor);
            Render.Polygon([
                [screen_size[0] / 2 + 105, screen_size[1] / 2 + 16],
                [screen_size[0] / 2 + 110, screen_size[1] / 2],
                [screen_size[0] / 2 + 132, screen_size[1] / 2]
            ], realBorderColor);
            Render.Polygon([
                [screen_size[0] / 2 - 132, screen_size[1] / 2],
                [screen_size[0] / 2 - 110, screen_size[1] / 2],
                [screen_size[0] / 2 - 105, screen_size[1] / 2 + 16]
            ], fakeBorderColor);
        } else {
            Render.Line(screen_size[0] / 2 + 132, screen_size[1] / 2, screen_size[0] / 2 + 105, screen_size[1] / 2 + 16, fakeBorderColor);
            Render.Line(screen_size[0] / 2 + 132, screen_size[1] / 2, screen_size[0] / 2 + 105, screen_size[1] / 2 - 16, fakeBorderColor);
            Render.Line(screen_size[0] / 2 + 110, screen_size[1] / 2, screen_size[0] / 2 + 105, screen_size[1] / 2 + 16, fakeBorderColor);
            Render.Line(screen_size[0] / 2 + 110, screen_size[1] / 2, screen_size[0] / 2 + 105, screen_size[1] / 2 - 16, fakeBorderColor);
            Render.Line(screen_size[0] / 2 - 132, screen_size[1] / 2, screen_size[0] / 2 - 105, screen_size[1] / 2 + 16, realBorderColor);
            Render.Line(screen_size[0] / 2 - 132, screen_size[1] / 2, screen_size[0] / 2 - 105, screen_size[1] / 2 - 16, realBorderColor);
            Render.Line(screen_size[0] / 2 - 110, screen_size[1] / 2, screen_size[0] / 2 - 105, screen_size[1] / 2 + 16, realBorderColor);
            Render.Line(screen_size[0] / 2 - 110, screen_size[1] / 2, screen_size[0] / 2 - 105, screen_size[1] / 2 - 16, realBorderColor);
            Render.Polygon([
                [screen_size[0] / 2 + 105, screen_size[1] / 2 + 16],
                [screen_size[0] / 2 + 110, screen_size[1] / 2],
                [screen_size[0] / 2 + 132, screen_size[1] / 2]
            ], fakeBorderColor);
            Render.Polygon([
                [screen_size[0] / 2 - 132, screen_size[1] / 2],
                [screen_size[0] / 2 - 110, screen_size[1] / 2],
                [screen_size[0] / 2 - 105, screen_size[1] / 2 + 16]
            ], realBorderColor);
        }
		desyncSize = Math.abs(normalizeYaw(Local.GetRealYaw() - Local.GetFakeYaw()));
        desyncSize = (desyncSize > 120) ? 120 : desyncSize;
		Render.String(screen_size[0]/2,screen_size[1]/2+45,1,desyncSize.toFixed(0)+"",[255,255,255,150],10);
		desyncSize60=desyncSize = (desyncSize > 60) ? 60 : desyncSize;
		//if(normalizeYaw(Local.GetRealYaw() - Local.GetFakeYaw())>0){
		//	Render.GradientRect(screen_size[0]/2-Math.floor(120*(desyncSize60/60)),screen_size[1]/2+65,Math.floor(120*(desyncSize60/60)),5,1,[positiveColor[0],positiveColor[1],positiveColor[2],0],positiveColor);
		//	Render.GradientRect(screen_size[0]/2,screen_size[1]/2+65,Math.floor(120*(desyncSize60/60)),5,1,positiveColor,[positiveColor[0],positiveColor[1],positiveColor[2],0]);
		//}else{
			Render.GradientRect(screen_size[0]/2-Math.floor(120*(desyncSize60/60)),screen_size[1]/2+65,Math.floor(120*(desyncSize60/60)),5,1,[negativeColor[0],negativeColor[1],negativeColor[2],0],negativeColor);
			Render.GradientRect(screen_size[0]/2,screen_size[1]/2+65,Math.floor(120*(desyncSize60/60)),5,1,negativeColor,[negativeColor[0],negativeColor[1],negativeColor[2],0]);
		//}
	//c2=[color.r,color.b,colors.b,255];
	}
    var c1 = [200,0, 150, 0];
    if (Entity.GetProp(Entity.GetLocalPlayer(), "CCSPlayer", "m_bIsScoped")) {
		lasttick=true;
		if(last==false){
			Convar.SetFloat("r_drawvgui", 0);
			last=true;
		}
		rect(startX - off, startY, sizeX, sizeY, 1, c1, c2);
        rect(startX + off, startY, sizeX, sizeY, 1, c2, c1);
        rect(startX, startY - off, sizeY, sizeX, 0, c1, c2);
        rect(startX, startY + off, sizeY, sizeX, 0, c2, c1);
    }else{
		//rect(startX - off2+sizeY, startY, sizeX2, sizeY, 1, c1, c2);
        //rect(startX + off2, startY, sizeX2, sizeY, 1, c2, c1);
        //rect(startX, startY - off2+sizeY, sizeY, sizeX2, 0, c1, c2);
        ///rect(startX, startY + off2, sizeY, sizeX2, 0, c2, c1);
		if(lasttick==false){
			if(last==true){
				Convar.SetFloat("r_drawvgui", 1);
				last=false;
			}
		}
		lasttick=false;
	}
	if (UI.IsHotkeyActive("Misc","JAVASCRIPT","Script items","m2")){
		if(last==false){
			Convar.SetFloat("r_drawvgui", 0);
			last=true;
		}
	}
	enemies=Entity.GetEnemies();
	
	for(i=0;i<enemies.length;i++){
		if(Entity.IsDormant(enemies[i]) || !Entity.IsAlive(enemies[i])){continue;}
		renderBox=Entity.GetRenderBox(enemies[i]);
		if(renderBox[0]!=true){continue;}
		hp=Entity.GetProp(enemies[i], "CBasePlayer", "m_iHealth")
		if(hp>100){hp=100}
		amount_r=Math.round(hp*2.55);
		amount_g=Math.round(hp*5.10);
		Render.GradientRect( renderBox[1], renderBox[2], renderBox[3]-renderBox[1], renderBox[4]-renderBox[2], 0, [ 100, 100, 100, 100 ], [ 255-amount_r, Math.min(255,amount_g), 0, 100 ]);
	}
	if(tick_end!=0 && tick_end>=Globals.Tickcount()){
		UI.SetValue("Misc","JAVASCRIPT","Script items","Intensity",50);
	}else{
		UI.SetValue("Misc","JAVASCRIPT","Script items","Intensity",20);
	}
}
var tick_end=0;

function onPlayerHurt(){
	if(Entity.GetEntityFromUserID(Event.GetInt("attacker"))==Entity.GetLocalPlayer()){
		tick_end=Globals.Tickcount()+16;
	}
}
function onPlayerDeath(){
	if(Entity.GetEntityFromUserID(Event.GetInt("userid"))==Entity.GetLocalPlayer()){
		tick_end=0;
	}
}

function onPlayerJoin(){
	tick_end=0;
}
var weaponFired=0;
var flEnabled=false;
function onRageBotFire(){
	weaponFired=16;
	flEnabled=false;
	UI.SetValue("Anti-Aim","Fake-Lag","Enabled",false);
}
function onWeaponFire(){
	if(Entity.IsLocalPlayer(Entity.GetEntityFromUserID(Event.GetInt("userid")))){
		weaponFired=16;
		flEnabled=false;
		UI.SetValue("Anti-Aim","Fake-Lag","Enabled",false);
	}
}
function onCreateMove(){
	if(weaponFired>0){
		weaponFired--;
	}else{
		if(flEnabled==false){
			UI.SetValue("Anti-Aim","Fake-Lag","Enabled",true);
			flEnabled=true;
		}
	}
}
Cheat.RegisterCallback("Draw", "run");
Cheat.RegisterCallback("CreateMove", "onCreateMove");
Cheat.RegisterCallback("player_hurt", "onPlayerHurt");
Cheat.RegisterCallback("ragebot_fire", "onRageBotFire");
Cheat.RegisterCallback("weapon_fire", "onWeaponFire");
Cheat.RegisterCallback("player_death", "onPlayerDeath");
Cheat.RegisterCallback("player_connect_full", "onPlayerJoin");